> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Item Notifications

> Retrieves all changes for a portfolio item across all snapshots.

Returns a list of DiffChange objects representing all changes
between consecutive snapshots for the portfolio item.



## OpenAPI

````yaml /api-reference/openapi.json get /portfolio/items/{item_id}/notifications
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/items/{item_id}/notifications:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Portfolio Item Notifications
      description: |-
        Retrieves all changes for a portfolio item across all snapshots.

        Returns a list of DiffChange objects representing all changes
        between consecutive snapshots for the portfolio item.
      operationId: >-
        get_portfolio_item_notifications_portfolio_items__item_id__notifications_get
      parameters:
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The unique identifier of the portfolio item.
            description: >-
              The unique identifier of the portfolio item to get notifications
              for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: >-
            The unique identifier of the portfolio item to get notifications
            for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/v1.PortfolioMonitoringNotificationResponse
            application/vnd.baselayer.v1+json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/v1.PortfolioMonitoringNotificationResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.PortfolioMonitoringNotificationResponse:
      description: Represents a notification for a portfolio item.
      properties:
        message:
          $ref: '#/components/schemas/v1.StructuredText'
          description: The message of the notification.
        notifiable_attribute:
          $ref: '#/components/schemas/v1.NotifiableAttributes'
          description: The attribute that triggered the notification.
      required:
        - message
        - notifiable_attribute
      title: PortfolioMonitoringNotificationResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.StructuredText:
      description: >-
        This class represents a structured text in the application.


        StructuredText is used to annotate individual parts of the text with
        semantic types.

        This is helpful to the UI for stylized rendering. It provides a way to
        structure

        the text in a way that can be easily understood and manipulated by the
        UI.
      properties:
        components:
          description: >-
            The structured text annotates individual parts of the text with
            semantic types, which is helpful to the UI for stylized rendering.
          items:
            $ref: '#/components/schemas/v1.TextComponent'
          title: An array of components that form the structured text
          type: array
        text:
          description: >-
            The same content as found in the components, but without any
            styling.
          readOnly: true
          title: A plain text representation of the content
          type: string
      required:
        - components
        - text
      title: StructuredText (v1)
      type: object
    v1.NotifiableAttributes:
      enum:
        - registration_health
        - new_registrations
        - addresses
        - officers
        - alternative_names
        - kyb_score
        - risk_score
        - identity_network
        - pep
        - ofac
        - liens
        - litigations
        - bankruptcies
        - website_analysis
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.TextComponent:
      description: >-
        A TextComponent is a segment of text with a semantic type and optional
        hyperlink.


        It is used to structure and annotate text in a way that can be helpful
        for

        stylized rendering in a UI without forcing a particular style.


        Each TextComponent has a type (subject, value, state, etc.),

        the actual text content, and an optional URL that points to the entity
        the text describes.
      properties:
        type:
          $ref: '#/components/schemas/v1.SemanticType'
          description: The text component can describe subjects, values, states and more.
          title: The semantic type of the text component
        text:
          description: >-
            This is the text part that composes the whole sentence within the
            StructuredText.
          title: The actual string content of the text component
          type: string
        for:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The entity that the text describes. When present, it points to the
            entity that the text describes.
          title: The entity that the text describes.
        url:
          anyOf:
            - description: When present, it points to the entity that the text describes.
              format: uri
              minLength: 1
              title: Hyperlink to the entity
              type: string
            - description: When not present, the text is presented in regular format.
              title: No hyperlink provided.
              type: 'null'
          default: null
          title: Url
      required:
        - type
        - text
      title: TextComponent (v1)
      type: object
    v1.SemanticType:
      description: >-
        SemanticType is an enumeration of the different types of semantic
        segments

        that a text can have. It is used to structure and annotate text in a way

        that can be helpful for stylized rendering in a UI, without forcing a

        particular style.
      enum:
        - regular
        - subject
        - value
        - label
        - actor
      title: SemanticType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````